org.keycloak.protocol.oidc

## Class OIDCLoginProtocolService

- java.lang.Object
- - org.keycloak.protocol.oidc.OIDCLoginProtocolService

-     public class OIDCLoginProtocolService
      extends Object

  Resource class for the oauth/openid connect token service
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCLoginProtocolService(RealmModel realm, EventBuilder event, AuthenticationManager authManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `accessCodeToToken()` Deprecated.
    `Object` | `auth()` Authorization endpoint
    `static javax.ws.rs.core.UriBuilder` | `authUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `authUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `JSONWebKeySet` | `certs()`
    `Object` | `getLoginStatusIframe()`
    `Object` | `grantAccessToken()` Deprecated.
    `javax.ws.rs.core.Response` | `installedAppUrnCallback(String code, String error, String errorDescription)`
    `Object` | `issueUserInfo()`
    `Object` | `loginPage()` Deprecated.
    `Object` | `logout()`
    `static javax.ws.rs.core.UriBuilder` | `logoutUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `logoutUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `Object` | `refreshAccessToken()` Deprecated.
    `Object` | `registerPage()` Registration endpoint
    `Object` | `token()` Token endpoint
    `static javax.ws.rs.core.UriBuilder` | `tokenServiceBaseUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `tokenServiceBaseUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `static javax.ws.rs.core.UriBuilder` | `tokenUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `Object` | `validateAccessToken(String tokenString)`
    `static javax.ws.rs.core.UriBuilder` | `validateAccessTokenUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### OIDCLoginProtocolService

          public OIDCLoginProtocolService(RealmModel realm,
                                  EventBuilder event,
                                  AuthenticationManager authManager)

  - ### Method Detail

    - #### tokenServiceBaseUrl

          public static javax.ws.rs.core.UriBuilder tokenServiceBaseUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### tokenServiceBaseUrl

          public static javax.ws.rs.core.UriBuilder tokenServiceBaseUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### authUrl

          public static javax.ws.rs.core.UriBuilder authUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### authUrl

          public static javax.ws.rs.core.UriBuilder authUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### tokenUrl

          public static javax.ws.rs.core.UriBuilder tokenUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### validateAccessTokenUrl

          public static javax.ws.rs.core.UriBuilder validateAccessTokenUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### logoutUrl

          public static javax.ws.rs.core.UriBuilder logoutUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### logoutUrl

          public static javax.ws.rs.core.UriBuilder logoutUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### auth

          @Path(value="auth")
          public Object auth()

      Authorization endpoint

    - #### registerPage

          @Path(value="registrations")
          public Object registerPage()

      Registration endpoint

    - #### token

          @Path(value="token")
          public Object token()

      Token endpoint

    - #### loginPage

          @Path(value="login")
          @Deprecated
          public Object loginPage()

      Deprecated.

    - #### getLoginStatusIframe

          @Path(value="login-status-iframe.html")
          public Object getLoginStatusIframe()

    - #### grantAccessToken

          @Path(value="grants/access")
          @Deprecated
          public Object grantAccessToken()

      Deprecated.

    - #### refreshAccessToken

          @Path(value="refresh")
          @Deprecated
          public Object refreshAccessToken()

      Deprecated.

    - #### accessCodeToToken

          @Path(value="access/codes")
          @Deprecated
          public Object accessCodeToToken()

      Deprecated.

    - #### validateAccessToken

          @Path(value="validate")
          public Object validateAccessToken(@QueryParam(value="access_token")
                                        String tokenString)

    - #### certs

          @GET
          @Path(value="certs")
          @Produces(value="application/json")
          public JSONWebKeySet certs()

    - #### issueUserInfo

          @Path(value="userinfo")
          public Object issueUserInfo()

    - #### logout

          @Path(value="logout")
          public Object logout()

    - #### installedAppUrnCallback

          @Path(value="oauth/oob")
          @GET
          public javax.ws.rs.core.Response installedAppUrnCallback(@QueryParam(value="code")
                                                                   String code,
                                                                   @QueryParam(value="error")
                                                                   String error,
                                                                   @QueryParam(value="error_description")
                                                                   String errorDescription)

Copyright © 2015. All rights reserved.